- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDSkinControllerVertex Class Reference
[COLLADA Document Geometry Entity]

A COLLADA skin controller vertex. More...

`#include <FCDSkinController.h>`

List of all members.

## Public Member Functions
size_t | GetPairCount () const
| Retrieve the number of joint-weight pairs defined for this vertex.
void | SetPairCount (size_t count)
| Sets the number of joint-weight pairs defined for this vertex.
FCDJointWeightPair * | GetPair (size_t index)
| Retrieves a joint-weight pair.
const FCDJointWeightPair * | GetPair (size_t index) const
| See above.
void | AddPair (int32 jointIndex, float weight)
| Adds a new joint-weight pair to this vertex.

## Detailed Description

A COLLADA skin controller vertex.

This structure contains a list of joint-weight pairs that defines how to modify a given mesh vertex in order to skin it properly.

## Member Function Documentation

void FCDSkinControllerVertex::AddPair | ( | int32 | jointIndex,
|  | float | weight
| ) |

  | Adds a new joint-weight pair to this vertex. No verification will be made to ensure that the sum of the weights equal 1.0. Parameters:
  | jointIndex | The index of the joint within the skin controller's joint list.
  | weight | The influence weight for this joint, on this vertex.

FCDJointWeightPair* FCDSkinControllerVertex::GetPair | ( | size_t | index | ) | `[inline]`

  | Retrieves a joint-weight pair. Parameters:
  | index | The index of the joint-weight pair.
Returns: The joint-weight pair at the given index.

size_t FCDSkinControllerVertex::GetPairCount | ( |  | ) | const`[inline]`

| Retrieve the number of joint-weight pairs defined for this vertex. Returns: The number of joint-weight pairs.

void FCDSkinControllerVertex::SetPairCount | ( | size_t | count | ) |

  | Sets the number of joint-weight pairs defined for this vertex. Parameters:
  | count | The number of joint-weight pairs defined for this vertex.

The documentation for this class was generated from the following file:

- FCDocument/FCDSkinController.h